DBonus = {}
DBonus.Bonuses = {}

function DBonus:AddBonus(tbl)
	DBonus.Bonuses[tbl.Day] = DBonus.Bonuses[tbl.Day] or {}
	table.insert(DBonus.Bonuses[tbl.Day], tbl)
	DBonus.Bonuses[tbl.Day].Day = nil
end

DBonus.RewardPaint = {}
DBonus.RewardPaint["Dollar"] = function(self, x, y, tbl)
	x = x + 5
	surface.SetDrawColor(39, 42, 51, 255)
	surface.DrawRect(x, y, 100, 100)
	surface.SetDrawColor(50, 50, 50, 255)
	surface.DrawOutlinedRect(x, y, 100, 100)
	draw.SimpleText("$", "DBonus_SegoeUI_85", x + 50, y + 46, Color(0, 200, 0, 255), TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
	draw.SimpleText("Geld", "DBonus_SegoeUI_20", x + 50, y, color_white, TEXT_ALIGN_CENTER)
	draw.SimpleText(string.Comma(tbl.Amount), "DBonus_SegoeUI_20", x + 50, y + 80, color_white, TEXT_ALIGN_CENTER)
end

DBonus.RewardPaint["Cash"] = function(self, x, y, tbl)
	x = x + 5
	surface.SetDrawColor(39, 42, 51, 255)
	surface.DrawRect(x, y, 100, 100)
	surface.SetDrawColor(50, 50, 50, 255)
	surface.DrawOutlinedRect(x, y, 100, 100)
	draw.SimpleText("$", "DBonus_SegoeUI_85", x + 50, y + 50, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
	draw.SimpleText("Cash", "DBonus_SegoeUI_20", x + 50, y, color_white, TEXT_ALIGN_CENTER)
	draw.SimpleText(string.Comma(tbl.Amount), "DBonus_SegoeUI_20", x + 50, y + 80, color_white, TEXT_ALIGN_CENTER)
end

DBonus.RewardPaint["XP"] = function(self, x, y, tbl)
	x = x + 5
	surface.SetDrawColor(39, 42, 51, 255)
	surface.DrawRect(x, y, 100, 100)
	surface.SetDrawColor(50, 50, 50, 255)
	surface.DrawOutlinedRect(x, y, 100, 100)
	draw.SimpleText("XP", "DBonus_SegoeUI_85", x + 50, y + 50, color_white, TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER)
	draw.SimpleText("Erfahrung", "DBonus_SegoeUI_20", x + 50, y, color_white, TEXT_ALIGN_CENTER)
	draw.SimpleText(string.Comma(tbl.Amount), "DBonus_SegoeUI_20", x + 50, y + 80, color_white, TEXT_ALIGN_CENTER)
end